E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::NetworkVerifier Class Reference

A Verifier that talks to a remote verifier over the network. More...

`#include <gnetworkverifier.h>`

Inheritance diagram for GSmtp::NetworkVerifier:

## Public Member Functions
| NetworkVerifier (GNet::ExceptionHandler &, const std::string &server, unsigned int connection_timeout, unsigned int response_timeout, bool compatible)
| Constructor.
virtual | ~NetworkVerifier ()
| Destructor.
virtual void | verify (const std::string &rcpt_to_parameter, const std::string &mail_from_parameter, const GNet::Address &client_ip, const std::string &auth_mechanism, const std::string &auth_extra) override
| Override from GSmtp::Verifier.
virtual G::Slot::Signal2< std::string, VerifierStatus > & | doneSignal () override
| Override from GSmtp::Verifier.
virtual void | cancel () override
| Override from GSmtp::Verifier.
Public Member Functions inherited from GSmtp::Verifier
virtual | ~Verifier ()
| Destructor.

## Detailed Description

A Verifier that talks to a remote verifier over the network.

Definition at line 39 of file gnetworkverifier.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gnetworkverifier.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gnetworkverifier.cpp